Bug 11915 - ignore 1152 lines in logwatch mails about vpsnetclean&vpsreboot
: ignore 1152 lines in logwatch mails about vpsnetclean&vpsreboot
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/logwatch)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-29 19:16 by
Modified: 2008-01-02 21:20 (History)


Attachments
patch for scripts/services/secure to ignore crond pam_tcb messages (499 bytes, text/x-patch)
2007-05-29 19:21, seriv
no flags Details
patch for logwatch.spec to use previous patch (546 bytes, patch)
2007-05-29 19:23, seriv
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-29 19:16:56
В ежедневно приходящих logwatch письмах с компьютеров с установленным OpenVZ
содержится 1152 строки (по четыре строки каждые пять минут в течение всех
двадцати четырёх часов) типа:
---
 **Unmatched Entries**
 crond[20878]: pam_tcb(crond:session): Session opened for root by (uid=0)
 crond[20877]: pam_tcb(crond:session): Session opened for root by (uid=0)
 crond[20878]: pam_tcb(crond:session): Session closed for root
 crond[20877]: pam_tcb(crond:session): Session closed for root
---
Предлагаемый патч избавляет вас от возможности читать эти строки.
------- Comment #1 From 2007-05-29 19:21:57 -------
Created an attachment (id=1999) [details]
patch for scripts/services/secure to ignore crond pam_tcb messages

Этот патч надо положить в RPM/SOURCES/
------- Comment #2 From 2007-05-29 19:23:39 -------
Created an attachment (id=2000) [details]
patch for logwatch.spec to use previous patch

И этот патч надо применить к logwatch.spec
------- Comment #3 From 2007-06-19 05:08:14 -------
2evseev: может вообще пакет отдашь? Давно есть более свежая версия, отлично
работает. Заодно и этот баг починю (И #8832 :-)).
------- Comment #4 From 2008-01-02 21:20:04 -------
Предложенный патч это плохой, негодный патч, он заставляет logwatch
игнорировать
ВСЕ сообщения от crond. К тому же, делает это он грязным хаком исходника, а не
штатным методом - добавлением в список исключений.

С другой стороны, игнорирование пусть не всех сообщений от crond, но даже лишь
тех, которые связанны с логином суперпользователя - плохое поведение. Это лишь
ухудшит ситуацию с безопасностью на машинах, не являющихся VE.

Поэтому, в 7.3.6-alt1.1 введен частичный фикс этой проблемы. В
/etc/logwatch/conf/ignore.conf введен образец того, как игнорировать данные
строки лога, но закомментирован. В VE можно его и включить (control?).